
TYPO3.Flow - Bug # 9538

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Cache
Created: 2010-08-31 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: APC Backend test fails (flushRemovesAllCacheEntries)
Description

On my machine the following test fails:

Failure in flushRemovesAllCacheEntries
ApcBackendTest.php:210
BackendAPCTest1 Failed asserting that <boolean:true> is false.

Related issues:
related to TYPO3.Flow - Task # 4855: Investigate APC slam problem Closed 2009-10-02

Associated revisions
Revision 01765ad5 - 2010-09-02 16:22 - Robert Lemke

[~TASK] FLOW3 (Cache): Fixed a failing APC backend test

One test was failing, probably due to an old APC version used (see #9538).
After upgrading to a more recent version of APC (3.1.5-dev) this other
tests failed due to the cache slam prevention mechanism.

Since that cannot be disabled (currently) via ini_set(), these tests
are now skipped if apc.slam_defense is set to 1.

Relates to: #4855
Resolves: #9538

Change-Id: I82577d149aebb608b4cb14d7cdb76422ce41d09a

History
#1 - 2010-08-31 15:19 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2010-08-31 15:40 - Robert Lemke

APC Version    3.1.3p1
MMAP Support    Enabled
MMAP File Mask    /tmp/apc.5p5pH2
Locking type    File Locks
Revision    $Revision: 286798 $
Build Date    Jun 17 2010 15:10:45

#3 - 2010-08-31 15:44 - Karsten Dambekalns

Please try with 3.1.4 or newer.

#4 - 2010-09-02 16:06 - Robert Lemke

With 3.1.5-dev the mentioned error is gone.

However, with the default php.ini settings I now get:

59 Error in itIsPossibleToOverwriteAnEntryInTheCache 
/opt/local/apache2/htdocs/Development/FLOW3/Distributions/Base/Packages/Framework/FLOW3/Classes/Cache/Backend/ApcBackend.php:276
Warning: apc_store() [<a href='function.apc-store'>
76
Warning: apc_store() [<a href='function.apc-store'>function.apc-store</a>]: Potential cache slam averted for key
'FLOW3_e9f0c391f026tag_%APCBE%' in
/opt/local/apache2/htdocs/Development/FLOW3/Distributions/Base/Packages/Framework/FLOW3/Classes/Cache/Backend/ApcBackend.php
line 276

Error in flushRemovesAllCacheEntries 
/opt/local/apache2/htdocs/Development/FLOW3/Distributions/Base/Packages/Framework/FLOW3/Classes/Cache/Backend/ApcBackend.php:276
Warning: apc_store() [<a href='function.apc-store'>function.apc-store</a>]: Potential cache slam averted for key 'FLOW3_e9f0c391f026tag_%APCBE%' in /opt/local/apache2/htdocs/Development/FLOW3/Distributions/Base/Packages/Framework/FLOW3/Classes/Cache/Backend/ApcBackend.php line 276

76
Warning: apc_store() [<a href='function.apc-store'>function.apc-store</a>]: Potential cache slam averted for key
'FLOW3_e9f0c391f026tag_%APCBE%' in
/opt/local/apache2/htdocs/Development/FLOW3/Distributions/Base/Packages/Framework/FLOW3/Classes/Cache/Backend/ApcBackend.php
line 276

#5 - 2010-09-02 18:15 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"01765ad53feeb347256f3e7c1015f3f53b973552".
